#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int nn=n;
    int br=0;
    bool r=true;
    while(nn!=0){
        nn/=10;
        br++;
    }
    for(int i=1;i<br+1;i++)
        if(n/(10*i)==n/(10*i-1)){
            r=false;
            cout << 0;
            break;
        }
    if(r);
        cout << 1;
}